<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/prop.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/prop.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_PROP__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_PROP__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;physicallayer/datatype.h&quot;</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>;
<a name="l00028"></a>00028 <span class="keyword">struct </span><a class="code" href="structiCelPropertyClass.html" title="This is a property class for an entity.">iCelPropertyClass</a>;
<a name="l00029"></a>00029 <span class="keyword">struct </span><a class="code" href="structiPcProperties.html" title="This is a general property class.">iPcProperties</a>;
<a name="l00030"></a>00030 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>;
<a name="l00031"></a>00031 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>;
<a name="l00032"></a>00032 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>;
<a name="l00033"></a>00033 
<a name="l00037"></a><a class="code" href="structiPcPropertyListener.html">00037</a> <span class="keyword">struct </span><a class="code" href="structiPcPropertyListener.html" title="Listen for property changes.">iPcPropertyListener</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00038"></a>00038 {
<a name="l00039"></a>00039   SCF_INTERFACE (<a class="code" href="structiPcPropertyListener.html" title="Listen for property changes.">iPcPropertyListener</a>, 0, 0, 1);
<a name="l00040"></a>00040 
<a name="l00044"></a>00044   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcPropertyListener.html#a6844d47be750becebc1e4d79cb55442f" title="Property was changed or cleared.">PropertyChanged</a> (<a class="code" href="structiPcProperties.html" title="This is a general property class.">iPcProperties</a>* pcprop, <span class="keywordtype">size_t</span> idx) = 0;
<a name="l00045"></a>00045 };
<a name="l00046"></a>00046 
<a name="l00059"></a><a class="code" href="structiPcProperties.html">00059</a> <span class="keyword">struct </span><a class="code" href="structiPcProperties.html" title="This is a general property class.">iPcProperties</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00060"></a>00060 {
<a name="l00061"></a>00061   SCF_INTERFACE (<a class="code" href="structiPcProperties.html" title="This is a general property class.">iPcProperties</a>, 0, 0, 1);
<a name="l00062"></a>00062 
<a name="l00067"></a>00067   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#add41b7265ee4632801070561e2722829" title="Add a property listener.">AddPropertyListener</a> (<a class="code" href="structiPcPropertyListener.html" title="Listen for property changes.">iPcPropertyListener</a>* listener) = 0;
<a name="l00071"></a>00071   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#abd4d2cb005683879f1024463b137c0e6" title="Remove a property listener.">RemovePropertyListener</a> (<a class="code" href="structiPcPropertyListener.html" title="Listen for property changes.">iPcPropertyListener</a>* listener) = 0;
<a name="l00072"></a>00072 
<a name="l00076"></a>00076   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keywordtype">float</span> value) = 0;
<a name="l00077"></a>00077 
<a name="l00081"></a>00081   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keywordtype">long</span> value) = 0;
<a name="l00082"></a>00082 
<a name="l00086"></a>00086   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keywordtype">bool</span> value) = 0;
<a name="l00087"></a>00087 
<a name="l00091"></a>00091   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keyword">const</span> <span class="keywordtype">char</span>* value) = 0;
<a name="l00092"></a>00092 
<a name="l00096"></a>00096   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; value) = 0;
<a name="l00097"></a>00097 
<a name="l00101"></a>00101   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; value) = 0;
<a name="l00102"></a>00102 
<a name="l00106"></a>00106   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; value) = 0;
<a name="l00107"></a>00107 
<a name="l00111"></a>00111   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <a class="code" href="structiCelPropertyClass.html" title="This is a property class for an entity.">iCelPropertyClass</a>* pclass) = 0;
<a name="l00112"></a>00112 
<a name="l00116"></a>00116   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00117"></a>00117 
<a name="l00121"></a>00121   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735" title="Set property.">SetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>* value) = 0;
<a name="l00122"></a>00122 
<a name="l00127"></a>00127   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcProperties.html#a55182abadc8cdc7180de035d71cd34b9" title="Get the specified property index for a named property.">GetPropertyIndex</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00128"></a>00128 
<a name="l00132"></a>00132   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <span class="keywordtype">float</span> value) = 0;
<a name="l00133"></a>00133 
<a name="l00137"></a>00137   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <span class="keywordtype">long</span> value) = 0;
<a name="l00138"></a>00138 
<a name="l00142"></a>00142   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <span class="keywordtype">bool</span> value) = 0;
<a name="l00143"></a>00143 
<a name="l00147"></a>00147   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; value) = 0;
<a name="l00148"></a>00148 
<a name="l00152"></a>00152   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; value) = 0;
<a name="l00153"></a>00153 
<a name="l00157"></a>00157   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; value) = 0;
<a name="l00158"></a>00158 
<a name="l00162"></a>00162   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <span class="keyword">const</span> <span class="keywordtype">char</span>* value) = 0;
<a name="l00163"></a>00163 
<a name="l00167"></a>00167   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <a class="code" href="structiCelPropertyClass.html" title="This is a property class for an entity.">iCelPropertyClass</a>* pc) = 0;
<a name="l00168"></a>00168 
<a name="l00172"></a>00172   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00173"></a>00173 
<a name="l00177"></a>00177   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17" title="Set property based on index.">SetPropertyIndex</a> (<span class="keywordtype">size_t</span> index, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>* value) = 0;
<a name="l00178"></a>00178 
<a name="l00194"></a>00194   <span class="keyword">virtual</span> celDataType <a class="code" href="structiPcProperties.html#a3f7c7dc85deeb47386d6b79a1d524ef1" title="Get the type of a property.">GetPropertyType</a> (<span class="keywordtype">size_t</span> index) <span class="keyword">const</span> = 0;
<a name="l00195"></a>00195 
<a name="l00199"></a>00199   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcProperties.html#a74409a5d1e272e5f5d9c03e18e36fdf7" title="Get property as float.">GetPropertyFloat</a> (<span class="keywordtype">size_t</span> index) <span class="keyword">const</span> = 0;
<a name="l00200"></a>00200 
<a name="l00204"></a>00204   <span class="keyword">virtual</span> <span class="keywordtype">long</span> <a class="code" href="structiPcProperties.html#a7c1927b9b17ba5cc21c1735e4bfc7268" title="Get property as long.">GetPropertyLong</a> (<span class="keywordtype">size_t</span> index) <span class="keyword">const</span> = 0;
<a name="l00205"></a>00205 
<a name="l00209"></a>00209   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcProperties.html#a0980dcee69ea6b1a1032f5e8ee0eece3" title="Get property as bool.">GetPropertyBool</a> (<span class="keywordtype">size_t</span> index) <span class="keyword">const</span> = 0;
<a name="l00210"></a>00210 
<a name="l00214"></a>00214   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcProperties.html#aae351fe655cbf51c8267b63135c06c4d" title="Get property as bool.">GetPropertyVector</a> (<span class="keywordtype">size_t</span> index, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; v) <span class="keyword">const</span> = 0;
<a name="l00215"></a>00215 
<a name="l00219"></a>00219   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcProperties.html#aae351fe655cbf51c8267b63135c06c4d" title="Get property as bool.">GetPropertyVector</a> (<span class="keywordtype">size_t</span> index, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; v) <span class="keyword">const</span> = 0;
<a name="l00220"></a>00220 
<a name="l00224"></a>00224   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcProperties.html#ace975754855ec0654be554975b6bf7c8" title="Get property as bool.">GetPropertyColor</a> (<span class="keywordtype">size_t</span> index, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; v) <span class="keyword">const</span> = 0;
<a name="l00225"></a>00225 
<a name="l00229"></a>00229   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiPcProperties.html#a4e2140a7129a39c7e30807b3a500090d" title="Get property as string.">GetPropertyString</a> (<span class="keywordtype">size_t</span> index) <span class="keyword">const</span> = 0;
<a name="l00230"></a>00230 
<a name="l00234"></a>00234   <span class="keyword">virtual</span> <a class="code" href="structiCelPropertyClass.html" title="This is a property class for an entity.">iCelPropertyClass</a>* <a class="code" href="structiPcProperties.html#a9affec80c80338bfbd5046fddde7cdfd" title="Get property as property class.">GetPropertyPClass</a> (<span class="keywordtype">size_t</span> index) <span class="keyword">const</span> = 0;
<a name="l00235"></a>00235 
<a name="l00239"></a>00239   <span class="keyword">virtual</span> <a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* <a class="code" href="structiPcProperties.html#a79e07361ca6f0494b98cf509ce95e6f8" title="Get property as entity.">GetPropertyEntity</a> (<span class="keywordtype">size_t</span> index) <span class="keyword">const</span> = 0;
<a name="l00240"></a>00240 
<a name="l00244"></a>00244   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>* <a class="code" href="structiPcProperties.html#af77e8b6205bed1b6144ead1c38ae1f54" title="Get property as iBase.">GetPropertyIBase</a> (<span class="keywordtype">size_t</span> index) <span class="keyword">const</span> = 0;
<a name="l00245"></a>00245 
<a name="l00249"></a>00249   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a13795aff289381a4464f6901251ba616" title="Clear a property.">ClearProperty</a> (<span class="keywordtype">size_t</span> index) = 0;
<a name="l00250"></a>00250 
<a name="l00254"></a>00254   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a8e1c16147721ff4ba18828214a97cc7b" title="Clear all properties.">Clear</a> () = 0;
<a name="l00255"></a>00255 
<a name="l00259"></a>00259   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcProperties.html#a381c130dcbcd7e5db4297c98c6f16994" title="Get the number of properties defined in this property class.">GetPropertyCount</a> () <span class="keyword">const</span> = 0;
<a name="l00260"></a>00260 
<a name="l00264"></a>00264   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiPcProperties.html#ab738190ce6f08b4905f6416e1ca30349" title="Get the specified property name.">GetPropertyName</a> (<span class="keywordtype">size_t</span> idx) <span class="keyword">const</span> = 0;
<a name="l00265"></a>00265 
<a name="l00269"></a>00269   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcProperties.html#a51ac287481e32d3548d9e15bb1db365b" title="Debug dump information.">Dump</a> () = 0;
<a name="l00270"></a>00270 };
<a name="l00271"></a>00271 
<a name="l00272"></a>00272 <span class="preprocessor">#endif // __CEL_PF_PROP__</span>
<a name="l00273"></a>00273 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
